<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:layout_gravity="center">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="1600dp"
        android:layout_height="match_parent"
        android:layout_gravity="center"
        android:background="@drawable/home_rectangle_background"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/tv_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="47dp"
            android:text="@string/base_home_choosepay_title"
            android:textColor="#1C1C1D"
            android:textSize="36sp"

            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@+id/iv_back"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="@+id/iv_back" />

        <TextView
            android:id="@+id/iv_back"
            android:layout_width="200dp"
            android:layout_height="100dp"
            android:layout_marginTop="37dp"
            android:layout_marginEnd="47dp"
            android:background="@drawable/home_rectangle_blue_background"
            android:gravity="center"
            android:text="@string/base_home_cancle"
            android:textColor="@color/white"
            android:textSize="42sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />


        <!--        <TextView-->
        <!--            android:id="@+id/home_textview2"-->
        <!--            android:layout_width="wrap_content"-->
        <!--            android:layout_height="wrap_content"-->
        <!--            android:layout_marginLeft="113dp"-->
        <!--            android:layout_marginTop="95dp"-->
        <!--            android:text="优惠码"-->
        <!--            android:textColor="#1C1C1D"-->
        <!--            android:textSize="36sp"-->
        <!--            app:layout_constraintStart_toStartOf="parent"-->
        <!--            app:layout_constraintTop_toBottomOf="@+id/tv_title" />-->

        <!--        <EditText-->
        <!--            android:id="@+id/home_edittext"-->
        <!--            android:layout_width="404dp"-->
        <!--            android:layout_height="93dp"-->
        <!--            android:layout_marginLeft="20dp"-->
        <!--            android:background="#F0F0F0"-->
        <!--            android:text="12"-->
        <!--            android:textColor="#BEBEBE"-->
        <!--            android:textSize="36sp"-->
        <!--            app:layout_constraintBaseline_toBaselineOf="@+id/home_textview2"-->
        <!--            app:layout_constraintStart_toEndOf="@+id/home_textview2" />-->


        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_pay"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:maxWidth="1500dp"
            android:maxHeight="800dp"
            app:layout_constraintStart_toStartOf="@+id/tv_title"
            app:layout_constraintTop_toBottomOf="@+id/tv_title" />


        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/home_guideline4"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintGuide_percent="0.5" />

        <TextView
            android:id="@+id/tv_time"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="99s 后关闭"
            android:textColor="#1C1C1D"
            android:textSize="36sp"
            android:layout_marginBottom="30dp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/home_guideline4"
            app:layout_constraintStart_toStartOf="@+id/home_guideline4" />

        <View
            android:layout_width="900dp"
            android:layout_height="match_parent"
            android:layout_marginVertical="100dp"
            android:layout_alignParentEnd="true"
            android:background="@drawable/home_shape_dotted_line"
            android:layerType="software"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/home_guideline4"
            app:layout_constraintStart_toStartOf="@+id/home_guideline4"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.fragment.app.FragmentContainerView
            android:id="@+id/fcv_pay"
            android:name="androidx.navigation.fragment.NavHostFragment"
            android:layout_width="700dp"
            android:layout_height="700dp"
            android:layout_marginBottom="40dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="@+id/home_guideline4"
            app:navGraph="@navigation/home_pay_nav"/>


    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>